using System;

namespace Pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string ulaz1 = Console.ReadLine();

            int n;
            int l;
            string ulazNiliL = "";

            foreach (char ch in ulaz1)
            {
                if (ch == ' ')
                {
                    n = int.Parse(ulazNiliL);
                    ulazNiliL = "";
                }
                else
                {
                    ulazNiliL = ulazNiliL + ch;
                }
            }

            l = int.Parse(ulazNiliL);

            int rezultat = -1;

            string ulaz2 = Console.ReadLine();
            string ulazH = "";
            int h;
            int indeks = 0;
            foreach (char ch in ulaz2)
            {
                if (ch == ' ')
                {
                    indeks++;
                    h = int.Parse(ulazH);
                    if (h <= l)
                    {
                        rezultat = indeks;
                        break;
                    }

                    ulazH = "";
                }
                else
                {
                    ulazH = ulazH + ch;
                }
            }

            Console.WriteLine(rezultat);
            Console.ReadLine();
        }
    }
}